Rails [2|3] => argh!

This is such a crap time to be an aspiring rails developer. Decisions, decisions, decisions ...

Yesterday I came up with a killer web app idea that should give me lots of opptys to learn tons of fun stuff using the technologies I'm hyped about. But, should I choose the stable v2 or the exciting v3?

If I build it on v2, I'm sure to learn the stuff most rails shops are going to want me to know (I'm trying to get to a point where I can do this fulltime). I'm diggin' the chance to use suspenders (I'm a fan of Thoughtbot's work). I also expect to have a LOT fewer incompatibility issues when trying to use all the great work the community has done (calendar_date_select is just one of many great examples).

It would be much easier if I wasn't such an addict for the latest-and-greatest. It just irks me to know there is something better available and I'm not using it. Plus, I'm a huge fan of the work of Dan Benjamin and Ryan Bates and, not surprisingly, they're talking about the new stuff.

I guess these woes aren't much different from other frameworks and platforms, but that doesn't make the decisions any easier. I think writing this post has leaned me more to the v2 side (as I post this, lemmego is using v3). I'm pretty sure most of the ruby community would recommend v2 (they are a pretty pragmatic, rational group); their feedback was pretty unanimous on the ruby 1.8/1.9 question.

therapy_session.end!